#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int T,f;
    scanf("%d",&T);
    int n[T];

    for(int i=1;i<=T;i++)
    {
        scanf("%d",&n[i]);
    }

    for(int i=1;i<=T;i++)
    {
        for(int j=1;j<=n[i];j++)
        {
            int r=1;
            r=r*j%10;
            f=n[i];
        }
        printf("%d\n",f);
    }

    return 0;
}